# $Revision: 1.118 $, $Date: 2007/11/04 22:53:38 $
Summary:	GNOME Ghostscript Viewer
Summary(pl.UTF-8):	Przeglądarka ghostscript dla GNOME
Name:		ggv
Version:	2.8.5
Release:	2
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://ftp.gnome.org/pub/gnome/sources/ggv/2.8/%{name}-%{version}.tar.bz2
# Source0-md5:	e8b338c1427e170ffbb33c62d0aaf191
Patch0:		%{name}-desktop.patch
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 2.8.1
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	docbook-style-dsssl
BuildRequires:	gettext-devel
BuildRequires:	ghostscript
BuildRequires:	gnome-common >= 2.8.0
BuildRequires:	gtk+2-devel >= 2:2.4.4
BuildRequires:	intltool >= 0.30
BuildRequires:	libbonobo-devel >= 2.6.2
BuildRequires:	libgnomeui-devel >= 2.10.0-2
BuildRequires:	libtool
BuildRequires:	openjade
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	rpm-build >= 4.1-8.2
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper
Requires(post,preun):	GConf2
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	scrollkeeper
Requires:	ghostscript
Requires:	libbonobo >= 2.6.2
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Ghostscript viewer - a GUI frontend to the Ghostscript
postscript interpretter. Use this program to preview postscript
documents on your screen.

%description -l pl.UTF-8
Przeglądarka ghostscriptu dla GNOME - graficzny frontend dla
interpretera postscriptu o nazwie ghostscript. Program ten sluży do
przeglądania postscriptowych dokumentów na ekranie.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing acinclude.m4
%{__libtoolize}
%{__glib_gettextize}
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-platform-gnome-2 \
	--disable-schemas-install
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no
[ -d $RPM_BUILD_ROOT%{_datadir}/locale/sr@latin ] || \
	mv -f $RPM_BUILD_ROOT%{_datadir}/locale/sr@{Latn,latin}
%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install ggv.schemas
%scrollkeeper_update_post
%update_desktop_database_post

%preun
%gconf_schema_uninstall ggv.schemas

%postun
%scrollkeeper_update_postun
%update_desktop_database_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/ggv*
%{_datadir}/gnome-2.0/ui/ggv*
%{_datadir}/idl/*
%{_libdir}/bonobo/servers/*
%{_omf_dest_dir}/%{name}
%{_desktopdir}/ggv.desktop
%{_pixmapsdir}/*
%{_sysconfdir}/gconf/schemas/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ggv.spec,v $
Revision 1.118  2007/11/04 22:53:38  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.117  2007/10/09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.116  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.115  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.114  2005/06/07 20:12:17  paladine
- removed mime-pdf patch (ggv can't open pdf files)

Revision 1.113  2005/06/07 16:04:22  paladine
- updated to 2.8.5

Revision 1.112  2005/04/08 10:47:21  paladine
- new style macros
- rel. 3, STBR

Revision 1.111  2005/03/20 20:17:58  aflinta
- rebuild with howl 0.9.10, release 2

Revision 1.110  2005/03/12 23:50:52  aflinta
- up to version 2.8.4

Revision 1.109  2005/02/02 23:22:42  grzegol
- updated to 2.8.3

Revision 1.108  2005/01/09 13:30:55  paladine
- updated to 2.8.2, STBR

Revision 1.107  2004/12/22 01:27:55  zbyniu
- BR: pkgconfig

Revision 1.106  2004/12/06 18:35:01  freetz
- 2.8.1, STBR

Revision 1.105  2004/11/30 22:27:22  paladine
- added desktop patch and removed seds stuff from spec
- sorted BRs
- rel 2

Revision 1.104  2004/09/15 18:24:37  grzegol
- in gnome-common-2.8.0 all macros are in %%{_aclocaldir}, not in
  %%{_aclocaldir}/gnome2-macros, so remove -I %%{_aclocal}/gnome2-macros from
  %%{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.103  2004/09/12 21:18:35  grzegol
- run /usr/bin/update-desktop-database if present in %%post and %%postun

Revision 1.102  2004/09/12 20:17:26  aflinta
- restored Categories section

Revision 1.101  2004/09/12 17:47:14  aflinta
- merged from DEVEL, up to version 2.8.0

Revision 1.100  2004/09/07 03:42:00  ankry
- pl fixes

Revision 1.99  2004/09/02 11:27:07  freetz
- 2.6.2, killed bogus Application; entry in .desktop file, STBR

Revision 1.98  2004/04/18 17:08:58  grzegol
- updated to 2.6.1

Revision 1.97  2004/04/07 12:29:08  grzegol
- updated to 2.6.0.1

Revision 1.96  2004/03/21 23:07:26  grzegol
- merged from DEVEL (version 2.6.0)

Revision 1.94.2.10  2004/03/21 19:20:31  grzegol
- updated to 2.6.0

Revision 1.94.2.9  2004/03/14 21:49:24  grzegol
- updated to 2.5.99.1

Revision 1.94.2.8  2004/03/06 11:19:36  grzegol
- updated to 2.5.99
- removed outdated libtool patch
- added locale-names patch (changes locale no -> nb)
- added BR: libgnomeui-devel

Revision 1.94.2.7  2004/02/13 10:51:02  aflinta
- up to verson 2.5.4

Revision 1.94.2.6  2004/02/05 09:37:22  aflinta
- up to version 2.5.3

Revision 1.94.2.5  2004/01/14 10:35:55  trojan
- BR: intltool >= 0.29

Revision 1.94.2.4  2004/01/14 10:30:28  trojan
- updated to 2.5.2

Revision 1.94.2.3  2003/12/29 18:45:31  grzegol
- updated to 2.5.1
- removed outdated gtk patch

Revision 1.94.2.2  2003/12/15 13:16:52  wiget
- higer BR for sane env
- release 1

Revision 1.94.2.1  2003/10/28 14:58:13  wiget
- 2.5.0

Revision 1.94  2003/10/13 14:37:52  freetz
- up to 2.4.0.2

Revision 1.93  2003/09/22 18:36:21  havner
- more BR

Revision 1.92  2003/09/12 23:50:00  krzak
- mime-pdf.patch that enable view pdf files in gnome with ggv component
- rel. 2

Revision 1.91  2003/09/11 08:35:09  trojan
- updated to 2.4.0.1

Revision 1.90  2003/09/08 18:51:28  grzegol
- updated to 2.4.0

Revision 1.89  2003/09/02 11:50:33  havner
- added BR: gnome-common

Revision 1.88  2003/08/19 10:29:29  grzegol
- BR: intltool

Revision 1.87  2003/08/19 06:32:01  trojan
- updated to 2.3.99
- added ac/am/lt regenaration

Revision 1.86  2003/08/01 11:58:50  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.85  2003/07/14 17:59:49  aflinta
- verson 2.3.2

Revision 1.84  2003/07/07 13:03:14  qboosh
- use _desktopdir macro, other minor changes where needed

Revision 1.83  2003/06/16 19:00:17  aflinta
- updated md5sum

Revision 1.82  2003/06/16 09:06:46  trojan
- updated to 2.3.1

Revision 1.81  2003/06/03 17:21:56  aflinta
- version 2.3.0

Revision 1.80  2003/05/26 16:25:01  malekith
- massive attack: adding Source-md5

Revision 1.79  2003/05/25 05:47:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.78  2003/04/14 15:04:45  aflinta
- version 2.0.0

Revision 1.77  2003/02/05 08:44:44  trojan
- updated to 1.99.98

Revision 1.76  2003/01/27 12:12:36  wrobell
- rel. 2 to build with openssl 0.9.7 on nest builders

Revision 1.75  2002/12/26 21:14:57  aflinta
- it is better to require stable version ;)

Revision 1.74  2002/12/24 21:53:57  grzegol
- updated to 1.99.97

Revision 1.73  2002/12/17 01:58:50  aflinta
- updated desktop file location, cleanups, release 5

Revision 1.72  2002/12/09 07:12:13  aflinta
- moved to /usr
- release 4

Revision 1.71  2002/12/02 20:48:18  wolf
- rpm-build >= 4.1-7 is reqired by %%gconf_schema_install

Revision 1.70  2002/11/28 23:48:31  wrobell
- massive attack: do not put bonobo servers into /usr/lib; remove
  _bonobo_server_dir definition (bonobo-activation configuration
  should be modified to look for servers in /usr and /usr/X11R6)

Revision 1.69  2002/11/28 16:02:20  aflinta
- use new schema install macro

Revision 1.68  2002/11/28 13:53:27  wrobell
- massive attack: s/_serverdir/_bonobo_server_dir/cg

Revision 1.67  2002/11/27 23:28:48  grzegol
- updated server file location
- rel. 2

Revision 1.66  2002/11/11 16:51:05  misiek
- updated to 1.99.96

Revision 1.65  2002/10/29 18:54:31  aflinta
- rebuild against bonobo-activation 2.1.0, release up

Revision 1.64  2002/10/21 08:00:41  qboosh
- added Requires(post)

Revision 1.63  2002/10/20 23:05:04  malekith
- revert change for %post (%postun is ok)

Revision 1.62  2002/10/20 22:45:16  aflinta
- corrected %post %postun sections

Revision 1.61  2002/10/20 21:30:27  wrobell
- merged DEVEL branch

Revision 1.53.2.8  2002/10/20 21:19:42  wrobell
- fixed some file permissions /thanks grzegol for inspiration :-)/ - works now

Revision 1.53.2.7  2002/10/20 17:43:48  grzegol
- fixed %%files for rpm-4.0.2

Revision 1.53.2.6  2002/10/19 16:26:57  wrobell
- removed redundant _omf_dest_dir macro definition

Revision 1.53.2.5  2002/10/19 11:45:51  aflinta
- updated to version 1.99.95

Revision 1.53.2.4  2002/08/27 00:39:46  aflinta
- updated to version 1.99.90

Revision 1.53.2.3  2002/07/09 13:24:42  wiget
- updated to 1.99.8
- cleanups

Revision 1.53.2.2  2002/06/22 11:34:01  aflinta
- release 1

Revision 1.53.2.1  2002/06/22 10:17:28  aflinta
- updated to version 2.0.0

Revision 1.60  2002/10/17 12:35:35  qboosh
- added security fix for buffer overflows (buffer patch from RH)
- release 2, STBR

Revision 1.59  2002/10/03 20:09:21  kloczek
- updated to 1.1.95 (latest version for gnome 1.x),
- rgeneration ac/am/lt/gt suit is back (added ac25x and am16 patches).

Revision 1.58  2002/10/03 17:12:37  kloczek
- removed run /usr/sbin/fix-info-dir in %post/postun.

Revision 1.57  2002/10/03 17:03:08  krzak
release 4
fixed omf patch

Revision 1.56  2002/09/10 02:12:32  adgor
- Typo

Revision 1.55  2002/09/10 01:30:47  adgor
- Added BR & missing file

Revision 1.54  2002/09/10 00:36:32  adgor
- Moved desktopfile to Viewers subdir
- New %%doc
- Release 3

Revision 1.53  2002/05/17 14:28:59  michuz
- fixed omf filse location
- release++

Revision 1.52  2002/04/25 16:23:01  arturs
fixed a small typo

Revision 1.51  2002/04/16 13:41:46  trojan
- BR: s/jade/openjade

Revision 1.50  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.49  2002/02/19 04:27:30  kloczek
- updated to 1.1.94.

Revision 1.48  2002/01/18 02:13:02  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.47  2001/11/21 12:06:39  kloczek
- updated to 1.1.93.

Revision 1.46  2001/11/16 12:49:08  kura
- updated to 1.1.92

Revision 1.45  2001/10/27 21:53:58  kloczek
- spec adapterized.

Revision 1.44  2001/10/27 09:46:43  misiek
- updated to 1.1.90

Revision 1.43  2001/10/19 16:28:23  roman
- added Requires: ghostscript

Revision 1.42  2001/08/10 12:31:55  kloczek
- cosmetics.

Revision 1.41  2001/08/10 12:31:06  kloczek
- updated to 1.1.0.

Revision 1.40  2001/07/26 05:42:07  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.38  2001/06/23 08:19:09  kloczek
- release 3,
- added scrollkeeper to BuildRequires and Prereq,
- added call scrollkeeper-update in %post and %postun.

Revision 1.37  2001/05/20 09:07:35  kloczek
- place omf files in correct path (added definition and using
  %%{_omf_dest_dir} macro).

Revision 1.36  2001/05/19 22:52:51  misiek
- updated to 1.0.1
- regenerate auto, gettext and libtool stuff
- more files in %%files

Revision 1.35  2001/05/17 16:13:38  misiek
fix url

Revision 1.34  2001/03/11 14:05:05  kloczek
- release 2: updated to final 1.0.

Revision 1.33  2001/02/02 17:50:33  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.32  2001/01/27 15:44:59  kloczek
- use %%{_infodir} in %files.

Revision 1.31  2001/01/27 13:34:42  misiek
1.0-test7. STB

Revision 1.30  2001/01/26 21:51:04  misiek
rebuild with new bonobo. STB.

Revision 1.29  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.28  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.27  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.26  2000/05/18 23:29:23  kloczek
- spec adapterized.

Revision 1.25  2000/05/15 06:03:44  kloczek
- updated to 0.95,
- removed applnk patch.

Revision 1.24  2000/04/01 11:14:31  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:54:18  baggins
- translated kloczkish into english

Revision 1.22  2000/01/28 17:14:21  kloczek
- release 2,
- spec adapterized,
- recompiled in new environment with libesd not depends on liasound.

Revision 1.21  1999/12/13 07:20:26  kloczek
- update to 0.82.

Revision 1.20  1999/12/07 10:27:35  kloczek
- updated Source url (base now is ftp://ftp.gnome.org/pub/GNOME/sources/).

Revision 1.19  1999/11/23 15:59:10  wiget
- fixed Group(pl)

Revision 1.18  1999/11/03 16:19:47  kloczek
- release 2,
- recompiled agains gdk-pixbuf 0.3.

Revision 1.17  1999/10/27 06:43:14  wiget
- using find-lang --with-gnome

Revision 1.16  1999/10/27 02:44:13  kloczek
- updated to 0.70.

Revision 1.15  1999/10/03 01:46:32  kloczek
- reease 2,
- fix BR#91 - added bonobo ggv componet.

Revision 1.14  1999/09/30 21:11:12  kloczek
- updated to 0.61,
- more rpm macros,
- added gzipping %doc,
- updated %files list.

Revision 1.13  1999/07/12 23:05:57  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat Oct  3 1998 Arkadiusz Miśkiewicz <misiek@misiek.eu.org>
  [0.26-5]
- added pl translation.
